Summary:	Open-source implementation of Secure Real-time Transport Protocol
Summary(pl.UTF-8):	Otwarta implementacja protokołu Secure Real-time Transport Protocol
Name:		libsrtp2
Version:	2.4.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/cisco/libsrtp/releases
Source0:	https://github.com/cisco/libsrtp/archive/v%{version}/libsrtp-%{version}.tar.gz
# Source0-md5:	253ededcbfad5335efc0825f7ef0c6cc
Patch0:		test-build.patch
URL:		https://github.com/cisco/libsrtp
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libpcap-devel
# also supported: nspr>=4+nss>=3 or mbedtls (the last only in cmake build)
BuildRequires:	openssl-devel >= 1.0.2i
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	zlib-devel
Requires:	openssl >= 1.0.2i
Obsoletes:	srtp < 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libSRTP library is an open-source implementation of Secure
Real-time Transport Protocol (SRTP).

%description -l pl.UTF-8
Biblioteka libSRTP to otwarta implementacja protokołu SRTP (Secure
Real-time Transport Protocol).

%package devel
Summary:	Header files for SRTP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SRTP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpcap-devel
Requires:	openssl-devel >= 1.0.2i
Requires:	zlib-devel
Obsoletes:	srtp-devel < 2

%description devel
Header files for SRTP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SRTP.

%package static
Summary:	Static SRTP library
Summary(pl.UTF-8):	Statyczna biblioteka SRTP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	srtp-static < 2

%description static
Static SRTP library.

%description static -l pl.UTF-8
Statyczna biblioteka SRTP.

%package apidocs
Summary:	API documentation for SRTP library
Summary(pl.UTF-8):	Dokumentacja API biblioteki SRTP
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for SRTP library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki SRTP.

%prep
%setup -q -n libsrtp-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -a /usr/share/automake/ar-lib .
%configure \
	--enable-openssl

%{__make} shared_library
%{__make} all
%{__make} libsrtp2doc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.md
%attr(755,root,root) %{_libdir}/libsrtp2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsrtp2.so
%{_pkgconfigdir}/libsrtp2.pc
%{_includedir}/srtp2

%files static
%defattr(644,root,root,755)
%{_libdir}/libsrtp2.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Sat Apr 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsrtp2.git;a=log;h=master

* Sat Apr 02 2022 Jakub Bogusz <qboosh@pld-linux.org> e4b721b
- updated to 2.4.2
- updated test-build patch

* Sat Oct 16 2021 Jan Rękorajski <baggins@pld-linux.org> 86f6715
- add missing patch

* Sat Oct 16 2021 Jan Rękorajski <baggins@pld-linux.org> 742469a
- fix missing autoconf file
- fix duplicate global var
- rel 2

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 0697134
- unconditional noarch subpackages

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> dd90c59
- updated to 2.3.0

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> a3f103a
- separated -apidocs

* Wed Oct 03 2018 Jan Rękorajski <baggins@pld-linux.org> 9b1edf6
- obsolete srtp for easier updaes, since we're dropping that package
- rel 2

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 08b6a04
- up to 2.2.0

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9aa7b95
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 43fb5af
- updated to 2.1.0 (note: AES 256 ICM/AES GCM ciphers for RTCP are compatible with 1.6 but not 1.5/2.0)
- removed obsolete headers,doxygen patches

* Fri Apr 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 34f3ec8
- BR: texlive-latex-wasysym for doxygen

* Fri Apr 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 371f34c
- doxygen/texlive BRs

* Fri Apr 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 943e4e6
- forked as libsrtp2, updated to 2.0.0 (parallel installable with 1.5.x)
- updated headers patch, removed obsolete rename_functions,ismacryp patches
- added doxygen patch (update header.tex for recent doxygen)

* Thu Mar 24 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 14f1bb9
- Version: 1.5.4

* Thu Mar 24 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 7923a21
- Version: 1.5.4

* Fri Aug 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 19c9f70
- added ismacryp patch (include ISMAcryp functions even when using openssl for AES; needed by mpeg4ip)
- release 3

* Wed Aug 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 77df8d8
- added headers patch (fixes some stdint conflicts and rand_source.h usage from C++)
- release 2

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> d6631e4
- new Source0 URL, updated to 1.5.2 (soname changed to upstream value)
- updated rename_symbols patch
- shared library is now supported upstream; shared patch replaced by just an install fix
- use upstream .pc file

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 213a16b
- make release integerish

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 4359aa9
- x32 rebuild
- release 5 (by relup.sh)

